import { IArtistDetails } from "#entities/profiles";
import { apiFetch } from "../fetch";

export async function fetchArtistProfile(
  service: string,
  artistID: string
): Promise<IArtistDetails> {
  const path = `/${service}/user/${artistID}/profile`;
  const result = await apiFetch<IArtistDetails>(path, {
    method: "GET",
  });

  return result;
}
